Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# SDLmm::ColorRGBA Class Reference

A small usefull class representing an RGBA color. More...

`#include <sdlmm_color.h>`

Inheritance diagram for SDLmm::ColorRGBA:

[legend]
List of all members.

## Public Methods
| ColorRGBA ()
| Default constructor which creates an empty ColorRGBA (rgb variables set to zero). More...
| ColorRGBA (const ColorRGBA &color)
| This is the copy constructor. Simply initializes the value of an ColorRGBA to that of another ColorRGBA. More...
| ColorRGBA (Uint8 nr, Uint8 ng, Uint8 nb, Uint8 na)
| Constructor which initializes the class from integer values. More...
ColorRGBA& | operator= (const ColorRGBA &color)
| Set the value of an ColorRGBA to that of an existing ColorRGBA. More...
bool | operator== (const ColorRGBA &color) const
| Compare two colors for equality. More...
## Public Attributes
Uint8 | a

## Detailed Description

A small usefull class representing an RGBA color.

Author:
  Adam Gates

## Constructor & Destructor Documentation

SDLmm::ColorRGBA::ColorRGBA ( | )`[inline]`

| Default constructor which creates an empty ColorRGBA (rgb variables set to zero).

SDLmm::ColorRGBA::ColorRGBA ( | const ColorRGBA & color )`[inline]`

  | This is the copy constructor. Simply initializes the value of an ColorRGBA to that of another ColorRGBA. Parameters:
  color | an existing ColorRGBA object.

SDLmm::ColorRGBA::ColorRGBA ( | Uint8 nr,
| Uint8 ng,
| Uint8 nb,
| Uint8 na )`[inline]`

  | Constructor which initializes the class from integer values. Parameters:
  nr, red | component
  ng, green | component
  nb, blue | component
  na, alpha | component

## Member Function Documentation

ColorRGBA & SDLmm::ColorRGBA::operator= ( | const ColorRGBA & color )`[inline]`

| Set the value of an ColorRGBA to that of an existing ColorRGBA.

bool SDLmm::ColorRGBA::operator== ( | const ColorRGBA & color ) const`[inline]`

| Compare two colors for equality. Returns: true if coordinates are identical in both colors.

## Member Data Documentation

Uint8 SDLmm::ColorRGBA::a

The documentation for this class was generated from the following file:

- sdlmm_color.h

Documentation automatically generated by written by Dimitri van Heesch. | Project hosted at